SystemOrganization addCategory: #'JQWidgetBox-InnerFade-Dev-Tests'!
SystemOrganization addCategory: #'JQWidgetBox-InnerFade-Dev-Example'!

JQWidgetExample subclass: #JQInnerFadeExample
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQWidgetBox-InnerFade-Dev-Example'!

!JQInnerFadeExample classSide methodsFor: 'accessing' stamp: 'tbn 11/2/2009 20:40'!
description
	^ 'JQuery InnerFade'! !

!JQInnerFadeExample classSide methodsFor: 'accessing' stamp: 'tbn 11/2/2009 20:40'!
shortName
	^'innerfade'! !

!JQInnerFadeExample methodsFor: 'rendering' stamp: 'NickAger 1/27/2010 16:15'!
renderContentOn: html
	html unorderedList 
		script: (html jQuery this innerfade);
		with: [
			Object subclasses do: [:each | html listItem: each]
	].
! !

!JQInnerFadeExample methodsFor: 'updating' stamp: 'tbn 11/2/2009 20:57'!
updateRoot: anHtmlRoot
		super updateRoot: anHtmlRoot.
		anHtmlRoot javascript url: self library / #jqueryinnerfadeJs! !

JQWidgetBoxWidgetTest subclass: #JQInnerFadeTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQWidgetBox-InnerFade-Dev-Tests'!

!JQInnerFadeTest methodsFor: 'testing' stamp: 'tbn 11/2/2009 21:03'!
testActions
	self
		assert: ((self jQuery: 'innerfade') innerfade)
		equals: self function, '("innerfade").innerfade()'.
		
	self
		assert: ((self jQuery: 'innerfade') innerfade slide)
		equals: self function, '("innerfade").innerfade({animationtype:"slide"})'.	
		
	self
		assert: ((self jQuery: 'innerfade') innerfade slow)
		equals: self function, '("innerfade").innerfade({speed:"slow"})'.
				
	self
		assert: ((self jQuery: 'innerfade') innerfade fast)
		equals: self function, '("innerfade").innerfade({speed:"fast"})'.
		
	self
		assert: ((self jQuery: 'innerfade') innerfade speed: 750)
		equals: self function, '("innerfade").innerfade({speed:750})'.		
								
	self
		assert: ((self jQuery: 'innerfade') innerfade timeout: 4000)
		equals: self function, '("innerfade").innerfade({timeout:4000})'.	
						
	self
		assert: ((self jQuery: 'innerfade') innerfade random)
		equals: self function, '("innerfade").innerfade({type:"random"})'.		
			
	self
		assert: ((self jQuery: 'innerfade') innerfade randomStart)
		equals: self function, '("innerfade").innerfade({type:"random_start"})'.				! !
